Skip to main content
GET
Retrieves a previously created response by its ID. The response must have been created with store: true (the default).

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

response_id
string
required

The ID of the response to retrieve

Response

Response retrieved successfully.

background
boolean
required
completed_at
integer<int64> | null
required
created_at
integer<int64>
required
error
object
required
frequency_penalty
number<double>
required
id
string
required
incomplete_details
object
required
input
any[] | null
required

Array of input items (messages, function call outputs, etc.)

instructions
string | null
required
max_output_tokens
integer<int64> | null
required
max_tool_calls
integer<int64> | null
required
metadata
object
required

Developer-defined key-value pairs attached to the response (OpenAI spec: Map<string, string>).

model
string
required
object
string
required

Always "response"

output
any[] | null
required

Array of output items (messages, function calls, reasoning, etc.)

parallel_tool_calls
boolean
required
presence_penalty
number<double>
required
previous_response_id
string | null
required
prompt_cache_key
string | null
required
prompt_cache_retention
string | null
required
reasoning
object
required
safety_identifier
string | null
required
service_tier
enum<string>
required
Available options:
auto,
default,
flex,
priority
status
enum<string>
required
Available options:
queued,
in_progress,
completed,
failed,
incomplete,
requires_action
store
boolean
required
temperature
number<double>
required
text
any
required

Text output configuration including format and verbosity

tool_choice
any
required

Tool choice setting: "auto", "none", "required", or a specific function

tools
any[] | null
required

Array of tool configurations used in this response

top_logprobs
integer<int64>
required
top_p
number<double>
required
truncation
enum<string>
required
Available options:
disabled,
auto
usage
object
required
user
string | null
required
conversation
object
memory
object
variables
object